summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Monjalon <thomas.monjalon@6wind.com>2016-04-08 10:49:59 +0200
committerThomas Monjalon <thomas.monjalon@6wind.com>2016-04-11 23:56:34 +0200
commitc4109298cce3c233b27d94d3b285411351e0da6e (patch)
tree4e38a86f5ee8e77f964b99d3bf7518f9263060e9
parentdc10406f3e7c82d1dad2884ffae8745f2a11ab70 (diff)
downloaddpdk-c4109298cce3c233b27d94d3b285411351e0da6e.zip
dpdk-c4109298cce3c233b27d94d3b285411351e0da6e.tar.gz
dpdk-c4109298cce3c233b27d94d3b285411351e0da6e.tar.xz
scripts: test build with all stats enabled
These stats will be compiled when adding +debug to test-build.sh targets: CONFIG_RTE_LIBRTE_IP_FRAG_TBL_STAT CONFIG_RTE_SCHED_COLLECT_STATS CONFIG_RTE_PORT_STATS_COLLECT CONFIG_RTE_TABLE_STATS_COLLECT CONFIG_RTE_PIPELINE_STATS_COLLECT CONFIG_RTE_TEST_PMD_RECORD_BURST_STATS CONFIG_RTE_TEST_PMD_RECORD_CORE_CYCLES Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>
-rwxr-xr-xscripts/test-build.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/test-build.sh b/scripts/test-build.sh
index c37fc99..f7ba1fb 100755
--- a/scripts/test-build.sh
+++ b/scripts/test-build.sh
@@ -137,8 +137,10 @@ config () # <directory> <target> <options>
sed -ri 's,(NEXT_ABI=)y,\1n,' $1/.config
! echo $3 | grep -q '+shared' || \
sed -ri 's,(SHARED_LIB=)n,\1y,' $1/.config
- ! echo $3 | grep -q '+debug' || \
- sed -ri 's,(DEBUG.*=)n,\1y,' $1/.config
+ ! echo $3 | grep -q '+debug' || ( \
+ sed -ri 's,(_DEBUG.*=)n,\1y,' $1/.config
+ sed -ri 's,(_STAT.*=)n,\1y,' $1/.config
+ sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config )
# Automatic configuration
! echo $2 | grep -q '^x86_64' || \
@@ -165,7 +167,6 @@ config () # <directory> <target> <options>
sed -ri 's,(PMD_QAT=)n,\1y,' $1/.config
sed -ri 's,(KNI_VHOST.*=)n,\1y,' $1/.config
sed -ri 's,(SCHED_.*=)n,\1y,' $1/.config
- sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config
build_config_hook $1 $2 $3
# Explicit enabler/disabler (uppercase)